{% extends "application.html" %}
{% block content %}
<div class="container-fluid">
    <div class="row d-flex justify-content-between">
        <h1 class="h3 mb-2 text-gray-800">Quản lý các triệu chứng</h1>
        <a href="{{ url_for('Patient.patient_record_create') }}">
            <button class="btn btn-primary">Tạo mới</button>
        </a>
    </div>
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <div class="row">
                <div class="col-md-6">
                    <h6 class="m-0 font-weight-bold text-primary">
                        Danh sách triệu chứng bệnh nhân
                    </h6>
                </div>
                <div class="col-md-6">
                    <form class="user" action="{{ url_for('Patient.patient_record_list') }}" type="search">
                        <input type="text" hidden value="{{ csrf_token() }}" name="csrf_token">
                        <input type="text" class="form-control form-control-user" name="search" placeholder="Search">
                    </form>
                </div>
            </div>

        </div>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Tiêu đề</th>
                        <th scope="col">Ngày tạo</th>
                        <th scope="col" class="text-center">Hành động</th>
                    </tr>
                    </thead>

                    <tbody>
                    {% for item in record %}
                    <tr>
                        <th>{{loop.index}}</th>
                        <td>{{item['name']}}</td>
                        <td>{{item['timestamp']}}</td>
                        <td width="15%" class="text-center">
                            <a href="{{ url_for('Patient.patient_record_edit', id=item.id) }}"
                               class="btn btn-sm btn-primary btn-circle"
                               data-toggle="tooltip" data-placement="left" title="Edit user">
                                <i class="fa fa-edit"></i>
                            </a>
                            <a onclick="return xoaCat();" href="{{ url_for('Patient.patient_record_delete', id=item.id) }}"
                               class="btn btn-sm btn-danger btn-circle"
                               data-toggle="tooltip" data-placement="left" title="Delete user">
                                <i class="fa fa-trash"></i>
                            </a>
                        </td>
                    </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="d-flex justify-content-center">
        {{ pagination.links }}
    </div>
</div>

{% endblock %}